Subject: [Netconf] Code license statements WAS:FW: DISCUSS: draft-ietf-netconf-partial-lock

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Wed, 5 Aug 2009 17:53:19 +0200

> Romascanu, Dan (Dan) wrote:
...
> > As far as I know the agreement in the IESG is to add a note to the
RFC 
> > Editor pointing to the pieces of code that would need license 
> > fragments and instructing the Editor to add these according to the 
> > most update set of rules at the date of the publication (which may
or 
> > may not be the final one, according to the timing of the approvals).

I think the issue is also relevant for other NETCONF I-Ds.

I-D authors should consider to prepare for publishing 
of code following the statement:
"any text found between the markers <CODE BEGINS> and 
<CODE ENDS>, or otherwise clearly labeled as a Code 
Component, shall be considered a "Code Component"."

It might be also interesting to consume the policy 
and procedures page:
http://trustee.ietf.org/policyandprocedures.html

Mehmet

-----Original Message-----
From: ext Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Wednesday, August 05, 2009 5:18 PM
To: Balazs Lengyel
Cc: Adrian Farrel; [email-masked]; [email-masked];
[email-masked]; Martin Bjorklund
Subject: RE: DISCUSS: draft-ietf-netconf-partial-lock

Balazs,

You can get the current information from links accessible at
http://trustee.ietf.org/license-info/ . This is however now discussed
and last called again, so some details may change. This is why we are
providing a partial approval at the IESG level, and ask the RFC Editor
to insert the best text at the time of the publication. Of course all is
run again for approval with the editors and the AD's at that time. 

Right now it is up to Adrian to agree on the solution, as he is holding
the DISCUSS on this issue. 

Dan

> -----Original Message-----
> From: Balazs Lengyel [mailto:[email-masked]] 
> Sent: Wednesday, August 05, 2009 5:39 PM
> To: Romascanu, Dan (Dan)
> Cc: Adrian Farrel; [email-masked]; 
> [email-masked]; 
> [email-masked]; Martin Bjorklund
> Subject: Re: DISCUSS: draft-ietf-netconf-partial-lock
> 
> Hello Dan,
> This is OK for me. Is this the final decision? Are there any 
> examples of the text for the editor?
> Balazs
> 
> Romascanu, Dan (Dan) wrote:
> > Adrian,
> > 
> > As far as I know the agreement in the IESG is to add a note 
> to the RFC 
> > Editor pointing to the pieces of code that would need license 
> > fragments and instructing the Editor to add these according to the 
> > most update set of rules at the date of the publication 
> (which may or 
> > may not be the final one, according to the timing of the approvals).
> > 
> > Would that work for you in this case? 
> > 
> > Dan
> >  
> > 
> >> -----Original Message-----
> >> From: Balazs Lengyel [mailto:[email-masked]]
> >> Sent: Wednesday, August 05, 2009 1:51 PM
> >> To: Adrian Farrel
> >> Cc: [email-masked]; [email-masked]; 
> >> [email-masked]; Romascanu, 
> Dan (Dan); 
> >> Martin Bjorklund
> >> Subject: Re: DISCUSS: draft-ietf-netconf-partial-lock
> >>
> >> Hello Dan,
> >> Please have a look at Adrian's comment. I don't know the correct 
> >> answer. Can you please help me.
> >> If needed I will put in the license statements, but are 
> they needed. 
> >> (If needed please point me to the correct statements!) Balazs
> >>
> >> Adrian Farrel wrote:
> >>> ===
> >>>
> >>> I think that the XML examples in 2.4.1.1 etc., schema in
> >> Appendix A,
> >>> and YANG in Appendix B qualify for code license statements.
> >>>
> >> -- 
> >> Balazs Lengyel                       Ericsson Hungary Ltd.
> >> System Manager
> >> ECN: 831 7320                        Fax: +36 1 4377792
> >> Tel: +36-1-437-7320                  email: 
> >> [email-masked]
> >>
> 
> -- 
> Balazs Lengyel                       Ericsson Hungary Ltd.
> System Manager
> ECN: 831 7320                        Fax: +36 1 4377792
> Tel: +36-1-437-7320                  email: 
> [email-masked]
>